Bug 65735 - Add detail to ASSERT message in IDBTransaction::enqueueEvent
Summary: Add detail to ASSERT message in IDBTransaction::enqueueEvent
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: David Grogan
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-04 17:30 PDT by David Grogan
Modified: 2011-08-08 13:18 PDT (History)
3 users (show)

See Also:


Attachments
Patch (1.53 KB, patch)
2011-08-04 17:33 PDT, David Grogan
no flags Details | Formatted Diff | Diff
Patch (1.56 KB, patch)
2011-08-05 12:30 PDT, David Grogan
no flags Details | Formatted Diff | Diff
Patch (1.54 KB, patch)
2011-08-05 12:39 PDT, David Grogan
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description David Grogan 2011-08-04 17:30:54 PDT
Add detail to ASSERT message in IDBTransaction::enqueueEvent
Comment 1 David Grogan 2011-08-04 17:33:51 PDT
Created attachment 103009 [details]
Patch
Comment 2 David Grogan 2011-08-04 17:35:04 PDT
Comment on attachment 103009 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=103009&action=review

> Source/WebCore/storage/IDBTransaction.cpp:185
> +    ASSERT_WITH_MESSAGE(!m_finished, "!m_finished, about to enqueue an event of type %s", event->type().string().utf8().data());

Will this print out the !m_finished for me?
Comment 3 Hans Wennborg 2011-08-05 03:59:53 PDT
(In reply to comment #2)
> (From update of attachment 103009 [details])
> View in context: https://bugs.webkit.org/attachment.cgi?id=103009&action=review
> 
> > Source/WebCore/storage/IDBTransaction.cpp:185
> > +    ASSERT_WITH_MESSAGE(!m_finished, "!m_finished, about to enqueue an event of type %s", event->type().string().utf8().data());
> 
> Will this print out the !m_finished for me?

Not sure I understand what you mean.. I suppose it will print when the assertion doesn't hold, i.e. when m_finished == true?
Comment 4 David Grogan 2011-08-05 12:30:31 PDT
Created attachment 103094 [details]
Patch
Comment 5 David Grogan 2011-08-05 12:35:26 PDT
Comment on attachment 103009 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=103009&action=review

>>> Source/WebCore/storage/IDBTransaction.cpp:185
>>> +    ASSERT_WITH_MESSAGE(!m_finished, "!m_finished, about to enqueue an event of type %s", event->type().string().utf8().data());
>> 
>> Will this print out the !m_finished for me?
> 
> Not sure I understand what you mean.. I suppose it will print when the assertion doesn't hold, i.e. when m_finished == true?

if the assertion fails with ASSERT(!m_finished), it prints out "!m_finished\n file, line etc".  
if the assertion fails with ASSERT_WITH_MESSAGE(!m_finished, "some stuff") I didn't know if the assertion would print
"!m_finished, some stuff\n file line etc"
or just
"some stuff\n file line etc"

Turns out it's the first, '!m_finished' is included so I don't need to explicitly print it.
Comment 6 David Grogan 2011-08-05 12:39:45 PDT
Created attachment 103096 [details]
Patch
Comment 7 Hans Wennborg 2011-08-08 03:13:51 PDT
(In reply to comment #6)
> Created an attachment (id=103096) [details]
> Patch

LGTM
Comment 8 David Grogan 2011-08-08 11:41:12 PDT
Nate, could you review this?
Comment 9 WebKit Review Bot 2011-08-08 13:18:46 PDT
Comment on attachment 103096 [details]
Patch

Clearing flags on attachment: 103096

Committed r92627: <http://trac.webkit.org/changeset/92627>
Comment 10 WebKit Review Bot 2011-08-08 13:18:50 PDT
All reviewed patches have been landed.  Closing bug.